      subroutine check_success ( STRAT , TARGET_STRAT, 
     &              CLASS , LIMITS, LIMITS_WEST, LIMITS_EAST , 
     &              BNDFUZ , TIMFUZ , TARGET ,
     &              SUCCES )

C
C*******************************************************************************
C
C       Copyright (C) 1993, California Institute of Technology.  U.S.
C       Government Sponsorhip under NASA Contract NAS7-918 is
C       acknowledged.
C
C*******************************************************************************
C
C	This is a driver for chksuc.  CHKSUC determines whether the correct
C	DV has been found which successfully targets the ground track as
C	desired. The purpose of this driver is to determine which ground
C	track to check; there are three choices: the nominal ground track,
C	and the edges of the 95% error envelope. 
C
C	Bruce Shapiro 		9/6/91
C
C
      DOUBLE PRECISION     BNDFUZ
      INTEGER              CLASS
      DOUBLE PRECISION     LIMITS ( 4 , 2 )
      DOUBLE PRECISION     LIMITS_EAST ( 4 , 2 )
      DOUBLE PRECISION     LIMITS_WEST ( 4 , 2 )
      CHARACTER*6          STRAT
      LOGICAL              SUCCES
      DOUBLE PRECISION     TARGET
      CHARACTER*8          TARGET_STRAT
      DOUBLE PRECISION     TIMFUZ

      if (target_strat .eq. 'UNBIASED') then
          CALL CHKSUC ( STRAT ,
     &              CLASS , LIMITS ,
     &              BNDFUZ , TIMFUZ , TARGET ,
     &              SUCCES )
      else if ( target_strat .eq. 'WESTGT' ) then
          CALL CHKSUC ( STRAT ,
     &              CLASS , LIMITS_WEST ,
     &              BNDFUZ , TIMFUZ , TARGET ,
     &              SUCCES )
      else if ( target_strat .eq. 'EASTGT' ) then
          CALL CHKSUC ( STRAT ,
     &              CLASS , LIMITS_EAST ,
     &              BNDFUZ , TIMFUZ , TARGET ,
     &              SUCCES )
      end if

      return
      end
