C$Procedure                         DCLOSE
C
      INTEGER FUNCTION DCLOSE ( DVAL , NELTS , DARRAY )
C
C*******************************************************************************
C
C       Copyright (C) 1993, California Institute of Technology.  U.S.
C       Government Sponsorhip under NASA Contract NAS7-918 is
C       acknowledged.
C
C*******************************************************************************
C
C
C$ Log
C
C  26-FEB-1990 - Eric Cannell     - creation
C
C$ Purpose
C
C  DCLOSE returns the index of the element of DARRAY that is closest in
C  value to DVAL.
C
C$ Input_Arguments
C
C  Name    Type   Dim        Units   Description
C  -----------------------------------------------------------------------------
C  DVAL      DP     1            -   anchor value
C  NELTS      I     1            -   number of elements in DARRAY
C  DARRAY    DP     *            -   array of values against which DVAL
C                                    is compared
C
C$ Output_Arguments
C
C  Name    Type   Dim        Units   Description
C  -----------------------------------------------------------------------------
C  DCLOSE     I     1            -   index of the element of DARRAY that is 
C                                    closest in value to DVAL
C
C$ Declarations_of_Input_and_Output_Arguments
C
      DOUBLE PRECISION     DARRAY ( * )
      DOUBLE PRECISION     DVAL
      INTEGER              NELTS
C
C$ Declarations_of_Local_Variables
C
      DOUBLE PRECISION     DIFF1
      DOUBLE PRECISION     DIFF2
      INTEGER              I
      INTEGER              IDIFF
C
C$ Method
C-&

C1    Compute the difference for the first element.

      IDIFF = 1
      DIFF1 = DABS( DVAL - DARRAY(1) )

C1    Check the remaining elements of DARRAY for one closer to DVAL.

      DO 101 I = 2 , NELTS

         DIFF2 = DABS( DVAL - DARRAY(I) )

         IF ( DIFF2 .LT. DIFF1 ) THEN
            IDIFF = I
            DIFF1 = DIFF2
         END IF

101   CONTINUE

C1    Return the index of the closted element.

      DCLOSE = IDIFF

      RETURN
      END
