C$Procedure                         interp_line
C
      subroutine interp_line ( x, x1, x2, y1, y2, y )
C
C
C*******************************************************************************
C
C       Copyright (C) 1993, California Institute of Technology.  U.S.
C       Government Sponsorhip under NASA Contract NAS7-918 is
C       acknowledged.
C
C*******************************************************************************
C
C$ Log
C
C  Date         Name               Description
C  -----------------------------------------------------------------------------
C  29-OCT-1991  Bruce Shapiro      Creation of interp_line
C
C$ Purpose
C
C	Linear interpolation (extrapolation) based upon a two-point line
C	Based on the line from (x1, y1) to (x2, y2) find value of y 
C		corresponding to x
C
C$ Input_Arguments
C
C  Name    Type   Dim        Units   Description
C  -----------------------------------------------------------------------------
C  X         DP    -   		-   x-value of desired point
C  x1, x2    DP    1		-   x values defining line
C  y1, y2    DP    1		-   y values definining line
C  N         I     1		-   number of data points
C
C$ OUTput_Arguments
C
C  Name    Type   Dim        Units   Description
C  -----------------------------------------------------------------------------
C  Y         DP    -   		-   return value  y-value
C
C
C
      DOUBLE PRECISION X, Y, x1, x2, y1, y2, M, B
C
C
C$ Method
C-&
      m = 0.0

      if ( x2 .ne. x1 ) m = (y2-y1)/(x2-x1)

      b = y1 - m * x1

      y = m * x + b

      return

      end
