C$Procedure                        OPSFN
C
      SUBROUTINE OPSFN ( UNIT , FILE , ERROR )
C
C
C*******************************************************************************
C
C       Copyright (C) 1993, California Institute of Technology.  U.S.
C       Government Sponsorhip under NASA Contract NAS7-918 is
C       acknowledged.
C
C*******************************************************************************
C
C$ Purpose
C
C  OPSFN opens a sequential, formatted, new file.
C
C  For example, will open a file for program text output.
C
C$ Input_Arguments
C
C  UNIT   - FORTRAN unit number
C  FILE   - file name
C
C$ Output_Arguments
C
C  ERROR  - set to .FALSE. if file was openned properly. Otherwise,
C           set to .TRUE.
C
C$ Log
C
C  22-Apr-1988
C  Eric Cannell - birth
C
C$ Files
C
C  FILE - UNIT - file to open
C
C$ Declarations_of_Input_and_Output_Arguments
C
      LOGICAL              ERROR
      CHARACTER*(*)        FILE
      INTEGER              UNIT
C
C$ Method
C-&

C1    Set status to false.

      ERROR = .FALSE.

C1    Attempt to open file.

      OPEN ( 
     &       UNIT   = UNIT,
     &       FILE   = FILE,
     &       ACCESS = 'SEQUENTIAL',
     &       FORM   = 'FORMATTED',
     &       STATUS = 'NEW',
     &       ERR    = 998
     &     )

      GOTO 999

C1    If there was a problem, then set status to .TRUE.

998   CONTINUE

      ERROR = .TRUE.

C1    Return status.

999   CONTINUE

      RETURN
      END
