C$Procedure                         RNG360
C
      DOUBLE PRECISION FUNCTION RNG360 ( DEGS )
C
C
C*******************************************************************************
C
C       Copyright (C) 1993, California Institute of Technology.  U.S.
C       Government Sponsorhip under NASA Contract NAS7-918 is
C       acknowledged.
C
C*******************************************************************************
C
C$ Purpose
C
C  RNG360 takes a value in degrees and transforms it so that it lies
C  in the range of [0..360).
C
C$ Input_Arguments
C
C  DEGS   - a value in degrees that can be positive or negative, greater
C           than 360 or less than -360.
C
C$ Output_Arguments
C
C  RNG360 - function return value that results when DEGS is restricted
C           to [0..360).
C
C$ Log
C
C  27-Mar-1989 - Eric Cannell     - creation
C
C$ Declarations_of_Input_and_Output_Arguments
C
      DOUBLE PRECISION     DEGS
C
C$ Declarations_of_Local_Variables
C
      DOUBLE PRECISION     DEG360
C
C$ Method
C-&

C1    Remove multiples of 360 degrees.

      DEG360 = DMOD( DEGS , 360.0D0 )

C1    Add 360 degrees if value is negative.

      IF ( DEG360 .LT. 0.0D0 ) DEG360 = DEG360 + 360.0D0

C1    Function return.

      RNG360 = DEG360

      RETURN
      END
