C$Procedure                         screen_header
C

       subroutine screen_header ( testcase,
     &	   strat, target_strat, bounds,
     &	   bndfuz, timfuz, datin, orbin, dvquanta, lsflag, drag,
     &	   m, ltop, dvbracket, atargonly, days, biasmode,
     &     sf_dvod, sf_drag, dvfixed, dvprop, delta_a, Cd,
     &     dsmadt, sigma_dsma)

C
C*******************************************************************************
C
C       Copyright (C) 1993, California Institute of Technology.  U.S.
C       Government Sponsorhip under NASA Contract NAS7-918 is
C       acknowledged.
C
C*******************************************************************************
C
C
C$ Log
C
C  Date         Name               Description
C  -----------------------------------------------------------------------------
C  6-sep-1991  Bruce Shapiro      Creation of screen_header
C
C$ Purpose
C
C  Write a header block of information to the screen during GTARG 
C	execution. Called by TGTGT.
C
C$ Input_Arguments
C
C  Name    Type   Dim        Units   Description
C  -----------------------------------------------------------------------------
C
C  --- see declarations section, below
C
C$ Parameters
C
C
C$ Declarations_of_Input_and_Output_Arguments
C
C
      character*12      terminal
      common /tt /  terminal

      logical		atargonly
      character*80      testcase 
      character*6 	strat		! 'RUNOUT','LONG','EAST','WEST'
      character*8 	target_strat	! 'UNBIASED','GTWEST','GTEAST'
      double precision  bounds(2)	! -1km,+1km normally
      double precision 	bndfuz		! fuzzyness in km for LONG targeting
      double precision 	timfuz		! fuzzyness in days for time target
      character*25 	datin		! date of epoch elements
      double precision 	orbin(6)	! initial orbital elements
      double precision 	dvquanta	! delta v quantization in mm/sec
      logical 		lsflag		! use lunar/solar true/false
      logical 		drag		! drag is on true/false
      integer 		m		! step size in orbits
      integer 		ltop		! size of G-field
      integer 		dvbracket(3)	! brackets on post-targeting runout
      integer		days
      character*4       biasmode
      double precision  sf_dvod, sf_drag
      double precision  dvfixed, dvprop, delta_a, Cd
      double precision  dsmadt(2), sigma_dsma(2)
C
      common  /boost/      anomalous_force, ndsmadt_data
      integer ndsmadt_data
	logical anomalous_force

      character*20 lnktim
      external lnktim

C$ Declarations_of_Local_Variables
C
C  Name    Type   Dim        Units   Description
C  -----------------------------------------------------------------------------
C
C	NONE
C
C
C EXTERNAL DEFINITIONS
C
      external		goto_string
      character*8	goto_string

C$ Namelists
C
C
C$ Data_Statements
C
C
C$ Method

C      call clear_screen


      if (terminal .eq. 'VT100') then
        write(6,2000) goto_string(1,1),lnktim()
      else 
	write(6,2001) lnktim()
      end if      
     
2000  format(1x,a8,'GTARG Ground Track Targeting Program ',
     &	/,1x,
     &  'Copyright (C) 1993, California Institute of Technology.',
     &  /,1x,
     &  'U.S. Government Sponsorship under NASA Contract NAS7-918 is ',
     &  'acknowledged.',
     &  /,1x,'GTARG Version 6.07 Created ',A20 )
2001  format(' GTARG Ground Track Targeting Program ',
     &	/,1x,
     &  'Copyright (C) 1993, 1994, California Institute of Technology.',
     &  /,1x,
     &  'U.S. Government Sponsorship under NASA Contract NAS7-918 is ',
     &  'acknowledged.'/,
     &  /,1x,'GTARG Version 6.07 Created ', A20 )

      if (terminal .ne. 'VT100') return

      if ( atargonly ) then
          write (6,89) goto_string(5,1), '1st Guess'
      else 
	  write (6,89) goto_string(5,1), strat
      end if

      if ( (.not. atargonly) .and. ( strat .ne. 'RUNOUT') )
     &       write (6,91) goto_string(5,55), target_strat

       write (6,95) goto_string(7,21), 'Iteration'
       write (6,96) goto_string(7,41),'dv'
       write (6,1075) goto_string (9,40), 'Band',
     &          goto_string(9,45),Bounds(1),
     &          goto_string(9,51),Bounds(2)
       write (6,107) goto_string (11,41), 'B Fuzz',
     &          goto_string(11,48),Bndfuz
       write (6,107) goto_string (12,41), 'T Fuzz', goto_string(12,48), 
     &		Timfuz
       write (6,97) goto_string(6,1), datin
       if (testcase.ne.'?') 
     &       write(6,975) goto_string(6,27),Testcase(1:53)

       write (6,101) goto_string(7,1),'a ', goto_string(7,10),orbin(1)
       write (6,105) goto_string(8,1),'e ', goto_string(8,10),orbin(2)
       write (6,101) goto_string(9,1),'i ', goto_string(9,10),orbin(3)
       write (6,101) goto_string(10,1),'Node ',
     &          goto_string(10,10),orbin(4)
       write (6,101) goto_string(11,1),'Perigee ',
     &          goto_string(11,10),orbin(5) 
       write (6,101) goto_string(12,1),'M ', goto_string(12,10),orbin(6)
       write (6,1072) goto_String(8,41),'Quanta',
     &          goto_string(8,48), dvquanta
       write (6,102) goto_string(8,21), 'Lunar/Solar',
     &          goto_string(8,34), lsflag
       write (6,1025) goto_string(9,27), 'Drag',
     &          goto_string(9,32), drag,
     &          goto_string(9,34), Cd
       write (6,103) goto_string(10,21), 'Step Size', 
     & 		goto_string(10,34), m
       write (6,103) goto_string(11,21), 'Grav Fld Size',
     &          goto_string(11,34),ltop
       write (6,103) goto_string(12,21),'Runout Days',
     &          goto_string(12,34), days
       write (6,104) goto_string(13,1)
       write (6,108) goto_string(10,41), 'Bracket', dvbracket
       write (6,109) goto_string(7,57), 'Bias mode', 
     &		goto_string(7,67),biasmode

       write(6,102) goto_string(8,54), 'Anom Force', 
     &		goto_string(8,69), anomalous_force

C       if (ndsmadt_data .gt. 0) then
C           write (6,1105) goto_string(8,57), 'd(sma)/dt',
C     &          goto_string(8,67), 'Input Array'
C       else
C           write (6,110) goto_string(8,57), 'd(sma)/dt',
C     &          goto_string(8,67), dsmadt(1), dsmadt(2)
C           write (6,110) goto_string(9,57), 'Sigma da/dt',
C     &          goto_string(9,67), sigma_dsma(1), sigma_dsma(2)
C       end if

       write (6,110) goto_string(10,57), 'Scale Fact', 
     &		goto_string(10,67),sf_dvod,sf_drag
       write (6,110) goto_string(11,57), 'Sigma dv',
     &          goto_string(11,67),dvfixed,dvprop
       write (6,111) goto_string(12,57), 'Sigma  a',
     &          goto_string(12,67),delta_a

 89    format (1x,a8,26('-'),' GTARG ',a9,' Parameters ',26('-'))

 91    format (1x,a8,' ',a8,' ')
 94    format (1x,a8,i4)
 95    format (1x,a8,a13)
 96    format (1x,a8,a2)
 97    format (1x,a8,a24)
 975   format (1x,a8,a53)
 101   format(' ',A8,A9,A8,F10.5)
 102   format(' ',A8,A13,A8,L4)
 1025  format(' ',A8,A4,A8,L1,A8,F4.1)
 103   format(' ',A8,a13,a8,i4)
 104   format(' ',A8,30('-'),1x,'Current Iteration',1x,30('-'))
 105   format(' ',A8,A9,A8,F10.6)
 107   format(' ',a8,a6,a8,f7.4)
 1072  format(' ',a8,a6,a8,f7.5)
 1075  format(' ',a8,a4,a8,f4.1,a8,f4.1)
 108   format(' ',a8,a7,1x,3i2)
 109   format(' ',a8,a10,a8,2x, a4)
 110   format(' ',a8,a10,a8,f6.3,1x,f6.3)
 1105  format(' ',a8,a10,a8,a13)
 111   format(' ',a8,a10,a8,f6.3)
      return
      end
