	DOUBLE PRECISION FUNCTION USER_DENSITY ( TIME, 
     &		FLUX, FLUXBAR, KP )

C
C
C*******************************************************************************
C
C       Copyright (C) 1993, California Institute of Technology.  U.S.
C       Government Sponsorhip under NASA Contract NAS7-918 is
C       acknowledged.
C
C*******************************************************************************
C
C	TEMPLATE FOR A USER-DEFINED DENSITY FUNCTION
C
C	INPUT PARAMETERS
C	----------------
C	TIME	DP	FRACTION OF A YEAR (E.G., 0 = JAN 1, 1.0 = DEC 31)
C       FLUX    DP	SOLAR FLUX INPUT
C	FLUXBAR DP	MEAN (81-DAY) SOLAR FLUX
C       KP	DP	GEOMAGNETIC INDEX
C
C	RESULT
C       ------
C	THE DOUBLE PRECISION ATMOSPHERIC DENSITY IN KILOGRAMS/KILOMETER**3
C

	DOUBLE PRECISION TIME, FLUX, FLUXBAR, KP, RHO

      	common  /dragblock/  dragmodel, dragarea, atmos, atden
      	character*10 dragmodel, atmos
      	double precision dragarea, atden
C
C	DEFAULT TO THE CONSTANT DENSITY VALUE
C
	RHO = ATDEN
C ***
C	INSERT CODE HERE TO CALCULATE DENSITY AS A FUNCTION OF INPUT
C		PARAMETERS; ASSIGN RESULT TO RHO
C
C ***
	USER_DENSITY = RHO
	RETURN
        END
