C$Procedure                        write_curve
C
      SUBROUTINE write_curve ( unit, n, xin, yin, stylei )
C
C*******************************************************************************
C
C       Copyright (C) 1993, California Institute of Technology.  U.S.
C       Government Sponsorhip under NASA Contract NAS7-918 is
C       acknowledged.
C
C*******************************************************************************
C
C
C$ Log
C
C  Date         Name               Description
C  -----------------------------------------------------------------------------
C  10-11-91     B. Shapiro	creation
C
C$ Purpose
C	writes a curve to an EZPLOT output file

C  Input Parameters
C  Name    Type    Dim      Units   Description
C  -----------------------------------------------------------------------------
C  UNIT       I      1       -      Fortran unit of plot file
C  n	      I      n
C  xin        r4     n       -      x coordinates of line
C  yin        r4     n       -      y coordinates of line
C  stylei     i      1       -      ezplot line style
C
C  Namelist: $ZLINE: defines boundary curves 
C  Name    Type    Dim      Units   Description
C  -----------------------------------------------------------------------------
C  npts       i      1       -      number of points
C  x          r4     n       -      x coordinates of line
C  y          r4     n       -      y coordinates of line
C  style      i      1       -      ezplot line style
C
C
C$ Restrictions
C
C	assumes unit is open for the plot file
C

      double precision mxnode
      parameter (mxnode = 20000)

      integer npts, style, unit, stylei, n
      real xin(n), yin(n)
      real x(mxnode), y(mxnode)

      NAMELIST / ZLINE  /  npts, style, x, y

      npts = n
      style = stylei

      do i = 1, npts
        x(i) = xin(i)
        y(i) = yin(i)
      end do
      do i = npts+1, mxnode
	x(i) = 0.0
        y(i) = 0.0
      end do

      WRITE(unit,ZLINE)

      END
