C$Procedure                        Write_label
C
      SUBROUTINE WRITE_LABEL ( unit, xtxti, ytxti, texti )
C
C
C*******************************************************************************
C
C       Copyright (C) 1993, California Institute of Technology.  U.S.
C       Government Sponsorhip under NASA Contract NAS7-918 is
C       acknowledged.
C
C*******************************************************************************
C
C$ Log
C
C  Date         Name               Description
C  -----------------------------------------------------------------------------
C  Oct 11, 1991  B. Shapiro	
C
C$ Purpose
C	writes a label at a specified position on a plot to
C	an EZPLOT output file
C
C  Input Parameters
C  Name    Type    Dim      Units   Description
C  -----------------------------------------------------------------------------
C  UNIT       I      1       -      Fortran unit of plot file
C  XTXTi       I      1       -      Location of text string, x coordinate
C  YTXTi       I      1       -      Location of text string, y coordinate
C  TEXTi    c*100     1       -      character string to be written
C
C
C  Namelist: $ZLINE: defines boundary curves 
C  Name    Type    Dim      Units   Description
C  -----------------------------------------------------------------------------
C  XTXT       I      1       -      Location of text string, x coordinate
C  YTXT       I      1       -      Location of text string, y coordinate
C  TEXT    c*100     1       -      character string to be written
C
C
C$ Restrictions
C
C	assumes unit is open for the plot file
C
      real 		   xtxt, ytxt
      character*100	   text
      integer 		   unit
      real 		   xtxti, ytxti
      character*(*)	   texti

      NAMELIST / ZLINE  /  xtxt, ytxt, text

      xtxt = xtxti
      ytxt = ytxti
      text = texti
      WRITE(unit,ZLINE)

      END
