C$Procedure                        write_line
C
      SUBROUTINE write_line ( unit,x1, x2, y1, y2, stylei )
C
C
C*******************************************************************************
C
C       Copyright (C) 1993, California Institute of Technology.  U.S.
C       Government Sponsorhip under NASA Contract NAS7-918 is
C       acknowledged.
C
C*******************************************************************************
C
C$ Log
C
C  Date         Name               Description
C  -----------------------------------------------------------------------------
C  10-11-91     B. Shapiro	creation
C
C$ Purpose
C	writes a 2-point line to an EZPLOT output file.  The two points
C	specify the endpoints of the straight line plotted.
C
C  Input Parameters
C  Name    Type    Dim      Units   Description
C  -----------------------------------------------------------------------------
C  UNIT       I      1       -      Fortran unit of plot file
C  x1, x2     dp     n       -      x coordinates of line
C  y1, y2     dp     n       -      y coordinates of line
C  stylei     i      1       -      ezplot line style
C
C  Namelist: $ZLINE: defines boundary curves 
C  Name    Type    Dim      Units   Description
C  -----------------------------------------------------------------------------
C  npts       i      1       -      number of points
C  x          dp     n       -      x coordinates of line
C  y          dp     n       -      y coordinates of line
C  style      i      1       -      ezplot line style
C
C
C$ Restrictions
C
C	assumes unit is open for the plot file
C

      integer npts, style, unit, stylei
      double precision x1,x2, y1,y2
      double precision x(2), y(2)
        

      NAMELIST / ZLINE  /  npts, style, x, y

      npts = 2
      style = stylei

      x(1) = x1
      x(2) = x2
      Y(1) = y1
      Y(2) = y2 

      WRITE(unit,ZLINE)

      END
